/**
 * 
 * AiCiA - Android IRC Client
 * 
 * Copyright (C)2010 GORRY.
 * 
 */

package net.gorry.aicia;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.util.Log;
import android.widget.EditText;

/**
 * 
 * 入力待ち型アラートダイアログ（String型）
 * 
 * @author GORRY
 *
 */
public class AwaitAlertDialogString extends AwaitAlertDialogBase {
	private static final String TAG = "AwaitAlertDialogString";
	private static final boolean V = false;

	private String mDefaultParam;
	private String mResultParam;
	private int mResult = CANCEL;
	private EditText mEdit = null;
	private boolean mMultiLine = false;

	/**
	 * コンストラクタ
	 * @param context コンテキスト
	 */
	AwaitAlertDialogString(final Context context) {
		super(context);
	}

	/*
	 * ダイアログにビューを追加
	 * @see net.gorry.aicia.AwaitAlertDialogBase#addView(android.app.AlertDialog.Builder)
	 */
	@Override
	public void addView(final AlertDialog.Builder bldr) {
		if (V) Log.v(TAG, "addView()");

		mEdit = new EditText(me);
		mEdit.setText(mDefaultParam);
		mEdit.setSingleLine(!mMultiLine);
		bldr.setView(mEdit);
		bldr.setPositiveButton("Ok", MyClickListener);
		bldr.setCancelable(true);
	}

	/**
	 * ダイアログの返り値を作成
	 * @return show()が返す値
	 */
	@Override
	public int getResult() {
		if (V) Log.v(TAG, "getResult()");
		return mResult;
	}

	/**
	 * ダイアログの返り値を作成
	 * @return 入力文字列
	 */
	public String getResultParam() {
		if (V) Log.v(TAG, "getResult()");
		return mResultParam;
	}

	/**
	 * クリック時の応答
	 */
	DialogInterface.OnClickListener MyClickListener = new DialogInterface.OnClickListener(){
		public void onClick(final DialogInterface dialog, final int which) {
			if (V) Log.v(TAG, "onClick()");
			switch (which) {
				case DialogInterface.BUTTON1:
					mResult = OK;
					mResultParam = mEdit.getText().toString();
					break;
			}
		}
	};

	/**
	 * 初期値を登録
	 * @param def 初期値
	 */
	public void setDefaultParam(final String def) {
		if (V) Log.v(TAG, "setMessage()");
		mDefaultParam = def;
	}

	/**
	 * 初期値を登録
	 * @param def 初期値
	 */
	public void setUseMultiLine(final boolean def) {
		if (V) Log.v(TAG, "setUseMultiLine()");
		mMultiLine = def;
	}

	/**
	 * ダイアログ表示時に呼び出される
	 */
	@Override
	void onShowMyDialog() {
		//
	}
}



